## kio-mtp 0+git20130108

=== debian/changelog ===
kio-mtp (0+git20130108-0ubuntu1) raring; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Dec 2012 23:19:04 +0530

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --dbg-package=kio-mtp-dbg

NAME?=kio-mtp
VERSION?=0+git$(shell date +%Y%m%d)
DIRNAME?=$(NAME)-$(VERSION)
TARFILE?=$(NAME)_$(VERSION).orig.tar.xz

get-orig-source:
		git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/kio-mtp master | xz -9 > ../$(TARFILE)

## kio-mtp 0.75+git20130930

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pl)
add_subdirectory(ga)
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(gl)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(fr)
add_subdirectory(ru)
add_subdirectory(fi)
add_subdirectory(de)
add_subdirectory(ro)
add_subdirectory(mr)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(tr)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(sv)
add_subdirectory(pt_BR)
add_subdirectory(lt)
add_subdirectory(es)
add_subdirectory(pt)

## kio-mtp 0+git20130315

=== debian/changelog ===
kio-mtp (0+git20130315-0ubuntu1) raring; urgency=low

  * New upstream snapshot

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 15 Mar 2013 23:50:19 +0000

=== debian/control ===
Source: kio-mtp
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 kdelibs5-dev,
 pkg-kde-tools,
 libmtp-dev,
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/base/kio-mtp

Package: kio-mtp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mtp KIO slave
 This KIO slave enables KDE applications to access
 files stored on devices that provide access to them
 via the MTP protocol.

Package: kio-mtp-dbg
Architecture: any
Depends: kio-mtp, ${shlibs:Depends}, ${misc:Depends}
Section: debug
Description: mtp KIO slave
 This KIO slave enables KDE applications to access
 files stored on devices that provide access to them
 via the MTP protocol.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the mtp KIO slave.

## kio-mtp 0.75%2Bgit20140304

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=kio-mtp-dbg

## kio-mtp 0.75+git20130930

=== debian/changelog ===
kio-mtp (0.75+git20130930-0ubuntu1) saucy; urgency=low

  * New upstream snapshot, including l10n

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 17:23:29 +0100

kio-mtp (0.75+git20130806-2) unstable; urgency=low

  [ Felix Geyer ]
  * Tighten dependency of kio-mtp-dbg on kio-mtp, thanks to Ansgar Burchardt.

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Install everything directly in the destdir of kio-mtp; this avoids
    maintaining a kio-mtp.install.
  * Add Vcs-* headers.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 26 Aug 2013 19:22:03 +0200

kio-mtp (0.75+git20130806-1) unstable; urgency=low

  * Initial release. (Closes: #717104)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 06 Aug 2013 22:54:18 +0200

=== debian/control ===
Source: kio-mtp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libmtp-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/kio-mtp
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kio-mtp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kio-mtp.git;a=summary

Package: kio-mtp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: access to MTP devices for applications using the KDE Platform
 This package includes the MTP KIO plugin. It allows applications using
 the KDE Platform to access files stored on devices that provide access to
 them via the MTP protocol.
 .
 The Media Transfer Protocol (commonly referred to as MTP) is a devised set
 of custom extensions to support the transfer of music files on USB digital
 audio players and movie files on USB portable media players.

Package: kio-mtp-dbg
Architecture: any
Depends: kio-mtp (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: debugging symbols for the MTP KIO plugin
 This package contains debugging files used to investigate problems with
 the MTP KIO plugin.

## kio-mtp 0.75+git20140304

=== CMakeLists.txt ===
project(kio-mtp)

cmake_minimum_required(VERSION 2.6)

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

find_package(KDE4 REQUIRED)
find_package(Mtp)

include(KDE4Defaults)

#add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7999)
add_definitions(-DQT_NO_CAST_FROM_ASCII)

set( kio_mtp_PART_SRCS
     devicecache.cpp
     filecache.cpp
     kio_mtp.cpp
     kio_mtp_helpers.cpp
)

include_directories(
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
)

kde4_add_plugin( kio_mtp ${kio_mtp_PART_SRCS} )
target_link_libraries( kio_mtp ${KDE4_KIO_LIBRARY} ${MTP_LIBRARIES} ${KDE4_SOLID_LIBS} )

install( TARGETS kio_mtp DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES mtp-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/konqueror/dirtree/remote )
install( FILES solid_mtp.desktop  DESTINATION  ${DATA_INSTALL_DIR}/solid/actions )
install( FILES mtp.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES mtp-network.desktop  DESTINATION  ${DATA_INSTALL_DIR}/remoteview )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(pt)
add_subdirectory(el)
add_subdirectory(fr)
add_subdirectory(sk)
add_subdirectory(pt_BR)
add_subdirectory(fi)
add_subdirectory(ru)
add_subdirectory(uk)
add_subdirectory(gl)
add_subdirectory(ga)
add_subdirectory(hu)
add_subdirectory(pl)
add_subdirectory(lt)
add_subdirectory(sl)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(it)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(cs)
add_subdirectory(es)
add_subdirectory(mr)
add_subdirectory(nl)
add_subdirectory(ca)
add_subdirectory(ro)
add_subdirectory(da)

=== debian/changelog ===
kio-mtp (0.75+git20140304-1) unstable; urgency=medium

  * New upstream release, including l10n.
    - Fixes folder creation.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 04 Mar 2014 20:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kio-mtp
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libmtp-dev,
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/kio-mtp
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kio-mtp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kio-mtp.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@ --parallel --with kde
 
+override_dh_auto_install:
+	dh_auto_install --destdir=$(CURDIR)/debian/kio-mtp
+
 override_dh_strip:
 	dh_strip --dbg-package=kio-mtp-dbg
